#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		PyOpenGL
Summary:	OpenGL bindings for Python
Summary(pl.UTF-8):	Dowiązania do OpenGL dla Pythona
Name:		python-%{module}
Version:	3.0.1
Release:	12
Epoch:		1
License:	LGPL
Group:		Development/Languages/Python
Source0:	http://downloads.sourceforge.net/pyopengl/%{module}-%{version}.tar.gz
# Source0-md5:	221d4a6a0928fcfeef26751370ec5f52
Source1:	http://downloads.sourceforge.net/pyopengl/%{module}-Demo-%{version}a1.tar.gz
# Source1-md5:	75b66abdf2d0e5003798c0fa12abee6e
URL:		http://pyopengl.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-glut-devel
%if %{with python2}
BuildRequires:	python-numpy-devel
BuildRequires:	python-devel
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
BuildRequires:	python3-numpy-devel
%endif
%pyrequires_eq	python-libs
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-numpy
Obsoletes:	PyOpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
OpenGL bindings for Python including support for GL extensions, GLU,
WGL, GLUT, GLE, and Tk.

%description -l pl.UTF-8
Dowiązania do OpenGL dla Pythona wraz z rozszerzeniami GL, GLU, WGL,
GLUT, GLE i Tk.

%package examples
Summary:	Demos for PyOpenGL
Summary(pl.UTF-8):	Programy demonstracyjne dla pakietu PyOpenGL
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description examples
Demos for PyOpenGL.

%description examples -l pl.UTF-8
Programy demonstracyjne dla pakietu PyOpenGL.

%package -n python3-%{module}
Summary:	OpenGL bindings for Python
Summary(pl.UTF-8):	Dowiązania do OpenGL dla Pythona
Group:		Libraries/Python
Requires:	python3-numpy

%description -n python3-%{module}
OpenGL bindings for Python including support for GL extensions, GLU,
WGL, GLUT, GLE, and Tk.

%description -n python3-%{module} -l pl.UTF-8
Dowiązania do OpenGL dla Pythona wraz z rozszerzeniami GL, GLU, WGL,
GLUT, GLE i Tk.

%package -n python3-%{module}-examples
Summary:	Demos for PyOpenGL
Summary(pl.UTF-8):	Programy demonstracyjne dla pakietu PyOpenGL
Group:		Development/Languages/Python
Requires:	python3-%{module} = %{epoch}:%{version}-%{release}

%description -n python3-%{module}-examples
Demos for PyOpenGL.

%description -n python3-%{module}-examples -l pl.UTF-8
Programy demonstracyjne dla pakietu PyOpenGL.

%prep
%setup -q -n %{module}-%{version} -a 1

%build
%if %{with python2}
%py_build

cd %{module}-Demo-%{version}a1
%py_build
cd ..
%endif

%if %{with python3}
%py3_build

cd %{module}-Demo-%{version}a1
%py_build --build-base build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

cd %{module}-Demo-%{version}a1
%py_install
cd ..

%py_postclean

#{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/OpenGL/{Demo,doc}
%endif

%if %{with python3}
%py3_install

cd %{module}-Demo-%{version}a1
%py3_install

#{__rm} -r $RPM_BUILD_ROOT%{py3_sitedir}/OpenGL/{Demo,doc}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc PKG-INFO
%{py_sitescriptdir}/OpenGL
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/*.egg-info
%endif

%files examples
%defattr(644,root,root,755)
%{py_sitescriptdir}/PyOpenGL-Demo
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc PKG-INFO
%{py3_sitescriptdir}/OpenGL
%{py3_sitescriptdir}/*.egg-info

%files -n python3-%{module}-examples
%defattr(644,root,root,755)
%{py3_sitescriptdir}/PyOpenGL-Demo
%endif
%changelog
* Sun Jul 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PyOpenGL.git;a=log;h=auto/th/python-PyOpenGL-3.0.1-12

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c7b622
- python 3.7 rebuild
- release 12 (by relup.sh)

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 81f5312
- python 3.6
- release 11 (by relup.sh)

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 9d556ff
- release 10 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> d39bd71
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 31e19e0
- release 9 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 87c537d
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b6e05e
- python3.5 rebuild
- release 8 (by relup.sh)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> eb942d1
- x32 rebuild
- release 7 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 58553d5
- python 3.4
- release 6 (by relup.sh)

* Wed Feb 26 2014 Jan Rękorajski <baggins@pld-linux.org> f47042c
- added python3 packages
- rel 5

* Mon Jun 27 2011 Jan Rękorajski <baggins@pld-linux.org> 5ef1fb9
- rel 4
- R/BR python-numpy

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b261280
- release 3

* Thu May 06 2010 lisu <lisu@pld-linux.org> 29aaa0b
- reversed, 3.0.1 is final

* Tue May 04 2010 lisu <lisu@pld-linux.org> 1dfa3d0
- spare version variable for Demo package

* Tue May 04 2010 lisu <lisu@pld-linux.org> 39d4d77
- updated to 3.0.1b1

* Fri Apr 23 2010 Marcin Banasiak <marcin.banasiak@gmail.com> fe6972a
- epoch for internal deps
- release 2

* Fri Mar 05 2010 lisu <lisu@pld-linux.org> 0e09107
- up to 3.0.1 (it's final version)
- Epoch 1

* Thu Nov 12 2009 lisu <lisu@pld-linux.org> eff6a30
- up to 3.0.1b1

* Mon Aug 31 2009 lisu <lisu@pld-linux.org> 052d8b7
- remove useless commented lines

* Mon Aug 31 2009 lisu <lisu@pld-linux.org> 44b3a96
- BR: rpm-pythonprov

